Create an upload or web data source; a web source's first crawl starts immediately (activeCrawl)
/v1/teams/{team}/sourcesPath Parameters
Team slug or ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/teams/string/sources" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "classification": "string" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "upload", "classification": "string", "embeddingProfileId": "8dcd7938-4b29-4322-bd8d-1bc46747c2a4", "status": "active", "documents": { "total": 0, "pending": 0, "processing": 0, "ready": 0, "failed": 0, "skipped": 0, "bytes": 0, "chunks": 0 }, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "web": { "mode": "scrape", "urls": [ "string" ], "maxDepth": 0, "maxPages": 0, "includePrefixes": [ "string" ], "exclude": [ "string" ], "allowSubdomains": true, "useSitemaps": true, "schedule": "manual", "tags": [ "string" ] }, "lastSyncAt": "2019-08-24T14:15:22Z", "nextSyncAt": "2019-08-24T14:15:22Z", "activeCrawl": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "status": "queued", "trigger": "create", "pagesDiscovered": 0, "pagesFetched": 0, "pagesChanged": 0, "pagesUnchanged": 0, "pagesSkipped": 0, "pagesFailed": 0, "documentsDeleted": 0, "truncated": true, "truncatedReason": "max_pages", "waitingReason": "concurrent_crawls", "waitingUntil": "2019-08-24T14:15:22Z", "error": "string", "createdAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" }, "boilerplate": { "enabled": true, "minDocs": 0, "ratio": 0.1, "overrides": { "enabled": true, "minDocs": 5, "ratio": 0.2 }, "repeatedBlocks": 0, "pagesAffected": 0, "documentsCounted": 0, "threshold": 0, "refreshedAt": "2019-08-24T14:15:22Z", "pending": true }, "ocrEnabled": true, "ocrState": "on" }}